### Method

# EBackend ServerSideSource set_oauth2_support

since: 3.8

#### Declaration [src]

    void
    e_server_side_source_set_oauth2_support (
      EServerSideSource* source,
      EOAuth2Support* oauth2_support
    )

#### Description [src]

Indicates whether `source` supports OAuth 2.0 authentication.

If `oauth2_support` is non-`NULL`, the OAuth2Support D-Bus interface is exported at the object path for `source`. If `oauth2_support` is `NULL`, the OAuth2Support D-Bus interface is unexported at the object path for `source`, and any attempt by clients to call `e_source_get_oauth2_access_token()` will fail.

Requests for OAuth 2.0 access tokens are forwarded to `oauth2_support`, which implements the `EOAuth2SupportInterface`.

Available since: 3.8

Sets property | `EBackend.ServerSideSource:oauth2-support`

#### Parameters

`oauth2_support`

  Type: `EOAuth2Support`

  An `EOAuth2Support` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.